#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "cellule.h"

//Type des cellues pour les listes chaînées
/*
typedef struct
{
	struct cellule* last;
	char* mot;
	struct cellule* next;
} cellule;
*/
/*
alloue la mémoire pour une cellule, initialise cette dernière à 
l'aide d'un mot puis retourne un pointeur sur la cellule ainsi créée
*/
cellule* creerCellule(const char* str)
{
	cellule* c = (cellule*)malloc(sizeof(cellule));
	c->mot = (char*)malloc(sizeof(char)*strlen(str)+1);
	strcpy(c->mot,str);
	c->last = NULL;
	c->next = NULL;
	return c;
}

/*
détruireCellule
: détruit une cellule en libérant ses ressources mémoire.
*/
void detruireCellule(cellule* c)
{
	free(c->mot);
	free(c);
}
