#include <stdio.h>
#include <stdlib.h>
#include "cellule.h"
#include "liste.h"
#include "tableHachage.h"

hash* creerTableHachage(int taille)
{
	int i;
	hash* h = (hash*)malloc(sizeof(hash));
	h->taille = taille;
	h->list = (list**)malloc(sizeof(list*)*taille);
	//initiation les valeurs par defaut
	for(i=0; i < h->taille; i++)
		h->list[i] = creerListe();

	return h;	
}

void detruireTableHachage(hash* h)
{
	int i;
	for(i=0; i < h->taille; i++)
		detruireListe(h->list[i]);
	free(h);
}

